Name:             kdirstat
Version:          2.5.3
Release:          8%{?dist}
Summary:          Graphical Directory Statistics for Used Disk Space

License:          GPLv2
Group:            Applications/System
URL:              http://kdirstat.sourceforge.net

Source0:          http://kdirstat.sourceforge.net/download/%{name}-%{version}.tar.bz2
Patch0:           kdirstat-2.5.3-desktop.patch
Patch1:           kdirstat-2.5.3-gcc43.patch

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    gettext
BuildRequires:    kdelibs3-devel, desktop-file-utils

%description
KDirStat (KDE Directory Statistics) is a utility program that sums up
disk usage for directory trees - very much like the Unix 'du' command.
It can also help you clean up used space.

%prep
%setup -q

%patch0 -p0 -b kdirstat.desktop
%patch1 -p1 -b .gcc43


%build
%configure --disable-final --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# Fix absolute symlink
%{__rm} -f %{buildroot}%{_docdir}/HTML/en/%{name}/common
ln -s ../common %{buildroot}%{_docdir}/HTML/en/%{name}/common

desktop-file-install --vendor fedora \
    --add-category System \
    --delete-original \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-cache-writer
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/%{name}/
%{_datadir}/apps/kconf_update/fix_move_to_trash_bin.pl
%{_datadir}/apps/kconf_update/%{name}.upd
%{_datadir}/icons/??color/??x??/
%{_docdir}/HTML/*/%{name}/

%changelog
* Mon Mar 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 2.5.3-8
- gcc43 patch (#434023)

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-6
- mass rebuild for fedora 8 - BuildID

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-5
- Rebuild for FC-6 devel

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-4
- Rebuild for FC-6 devel

* Thu Jun 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-3
- fixed owner of fix_move_to_trash_bin.pl kdirstat.upd in kconf_update

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-2
- fixed symlink-should-be-relative

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-1
- Initial package.
